import y, { gamma as e } from "./color.js";
import { rgb as c } from "../../../../d3-color@3.1.0/node_modules/d3-color/src/color.js";
const x = (function a(b) {
  var g = e(b);
  function i(o, r) {
    var n = g((o = c(o)).r, (r = c(r)).r), p = g(o.g, r.g), u = g(o.b, r.b), f = y(o.opacity, r.opacity);
    return function(m) {
      return o.r = n(m), o.g = p(m), o.b = u(m), o.opacity = f(m), o + "";
    };
  }
  return i.gamma = a, i;
})(1);
export {
  x as default
};
